/*
* Copyright (c) 2000 - 2001 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of the License "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/


/** ----------------------------------------------------------------------- **
    @package:     NW_HTMLP

    @synopsis:    default

    @description: default

 ** ----------------------------------------------------------------------- **/

#ifndef NW_HTMLP_HTML_DICT_H
#define NW_HTMLP_HTML_DICT_H

#include "nwx_defs.h"
#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */
/*
        USE LOWER CASE CHARACTERS IN TAG NAME STRINGS!
*/

#define HTMLP_HTML_TAG_INDEX_A 0

#define HTMLP_HTML_TAG_INDEX_ABBR (HTMLP_HTML_TAG_INDEX_A + 1)

#define HTMLP_HTML_TAG_INDEX_ACRONYM (HTMLP_HTML_TAG_INDEX_ABBR + 1)

#define HTMLP_HTML_TAG_INDEX_ADDRESS (HTMLP_HTML_TAG_INDEX_ACRONYM + 1)

#define HTMLP_HTML_TAG_INDEX_AREA (HTMLP_HTML_TAG_INDEX_ADDRESS + 1)

#define HTMLP_HTML_TAG_INDEX_B (HTMLP_HTML_TAG_INDEX_AREA + 1)

#define HTMLP_HTML_TAG_INDEX_BASE (HTMLP_HTML_TAG_INDEX_B + 1)

#define HTMLP_HTML_TAG_INDEX_BIG (HTMLP_HTML_TAG_INDEX_BASE + 1)

#define HTMLP_HTML_TAG_INDEX_BLINK (HTMLP_HTML_TAG_INDEX_BIG + 1)

#define HTMLP_HTML_TAG_INDEX_BLOCKQUOTE (HTMLP_HTML_TAG_INDEX_BLINK + 1)

#define HTMLP_HTML_TAG_INDEX_BODY (HTMLP_HTML_TAG_INDEX_BLOCKQUOTE + 1)

#define HTMLP_HTML_TAG_INDEX_BR (HTMLP_HTML_TAG_INDEX_BODY + 1)

#define HTMLP_HTML_TAG_INDEX_BUTTON (HTMLP_HTML_TAG_INDEX_BR +1)

#define HTMLP_HTML_TAG_INDEX_CAPTION (HTMLP_HTML_TAG_INDEX_BUTTON + 1)

#define HTMLP_HTML_TAG_INDEX_CENTER (HTMLP_HTML_TAG_INDEX_CAPTION + 1)

#define HTMLP_HTML_TAG_INDEX_CITE (HTMLP_HTML_TAG_INDEX_CENTER + 1)

#define HTMLP_HTML_TAG_INDEX_CODE (HTMLP_HTML_TAG_INDEX_CITE + 1)

#define HTMLP_HTML_TAG_INDEX_DD (HTMLP_HTML_TAG_INDEX_CODE + 1)

#define HTMLP_HTML_TAG_INDEX_DEL (HTMLP_HTML_TAG_INDEX_DD +1)

#define HTMLP_HTML_TAG_INDEX_DFN (HTMLP_HTML_TAG_INDEX_DEL + 1)

#define HTMLP_HTML_TAG_INDEX_DIR (HTMLP_HTML_TAG_INDEX_DFN + 1)

#define HTMLP_HTML_TAG_INDEX_DIV (HTMLP_HTML_TAG_INDEX_DIR + 1)

#define HTMLP_HTML_TAG_INDEX_DL (HTMLP_HTML_TAG_INDEX_DIV + 1)

#define HTMLP_HTML_TAG_INDEX_DT (HTMLP_HTML_TAG_INDEX_DL + 1)

#define HTMLP_HTML_TAG_INDEX_EM (HTMLP_HTML_TAG_INDEX_DT + 1)

#define HTMLP_HTML_TAG_INDEX_EMBED (HTMLP_HTML_TAG_INDEX_EM + 1)

#define HTMLP_HTML_TAG_INDEX_FIELDSET (HTMLP_HTML_TAG_INDEX_EMBED + 1)

#define HTMLP_HTML_TAG_INDEX_FONT (HTMLP_HTML_TAG_INDEX_FIELDSET + 1)

#define HTMLP_HTML_TAG_INDEX_FORM (HTMLP_HTML_TAG_INDEX_FONT + 1)

#define HTMLP_HTML_TAG_INDEX_FRAME (HTMLP_HTML_TAG_INDEX_FORM + 1)

#define HTMLP_HTML_TAG_INDEX_FRAMESET (HTMLP_HTML_TAG_INDEX_FRAME + 1)

#define HTMLP_HTML_TAG_INDEX_H1 (HTMLP_HTML_TAG_INDEX_FRAMESET + 1)

#define HTMLP_HTML_TAG_INDEX_H2 (HTMLP_HTML_TAG_INDEX_H1 + 1)

#define HTMLP_HTML_TAG_INDEX_H3 (HTMLP_HTML_TAG_INDEX_H2 + 1)

#define HTMLP_HTML_TAG_INDEX_H4 (HTMLP_HTML_TAG_INDEX_H3 + 1)

#define HTMLP_HTML_TAG_INDEX_H5 (HTMLP_HTML_TAG_INDEX_H4 + 1)

#define HTMLP_HTML_TAG_INDEX_H6 (HTMLP_HTML_TAG_INDEX_H5 + 1)

#define HTMLP_HTML_TAG_INDEX_HEAD (HTMLP_HTML_TAG_INDEX_H6 + 1)

#define HTMLP_HTML_TAG_INDEX_HR (HTMLP_HTML_TAG_INDEX_HEAD + 1)

#define HTMLP_HTML_TAG_INDEX_HTML (HTMLP_HTML_TAG_INDEX_HR + 1)

#define HTMLP_HTML_TAG_INDEX_I (HTMLP_HTML_TAG_INDEX_HTML + 1)

#define HTMLP_HTML_TAG_INDEX_IFRAME (HTMLP_HTML_TAG_INDEX_I + 1)

#define HTMLP_HTML_TAG_INDEX_IMG (HTMLP_HTML_TAG_INDEX_IFRAME + 1)

#define HTMLP_HTML_TAG_INDEX_INPUT (HTMLP_HTML_TAG_INDEX_IMG + 1)

#define HTMLP_HTML_TAG_INDEX_INS (HTMLP_HTML_TAG_INDEX_INPUT +1)

#define HTMLP_HTML_TAG_INDEX_KBD (HTMLP_HTML_TAG_INDEX_INS + 1)

#define HTMLP_HTML_TAG_INDEX_LABEL (HTMLP_HTML_TAG_INDEX_KBD + 1)

#define HTMLP_HTML_TAG_INDEX_LI (HTMLP_HTML_TAG_INDEX_LABEL + 1)

#define HTMLP_HTML_TAG_INDEX_LINK (HTMLP_HTML_TAG_INDEX_LI + 1)

#define HTMLP_HTML_TAG_INDEX_MAP (HTMLP_HTML_TAG_INDEX_LINK + 1)

#define HTMLP_HTML_TAG_INDEX_MARQUEE (HTMLP_HTML_TAG_INDEX_MAP + 1)

#define HTMLP_HTML_TAG_INDEX_MENU (HTMLP_HTML_TAG_INDEX_MARQUEE + 1)

#define HTMLP_HTML_TAG_INDEX_META (HTMLP_HTML_TAG_INDEX_MENU + 1)

#define HTMLP_HTML_TAG_INDEX_NOBR (HTMLP_HTML_TAG_INDEX_META + 1)

#define HTMLP_HTML_TAG_INDEX_NOEMBED (HTMLP_HTML_TAG_INDEX_NOBR + 1)

#define HTMLP_HTML_TAG_INDEX_NOFRAMES (HTMLP_HTML_TAG_INDEX_NOEMBED + 1)

#define HTMLP_HTML_TAG_INDEX_NOSCRIPT (HTMLP_HTML_TAG_INDEX_NOFRAMES + 1)

#define HTMLP_HTML_TAG_INDEX_OBJECT (HTMLP_HTML_TAG_INDEX_NOSCRIPT + 1)

#define HTMLP_HTML_TAG_INDEX_OL (HTMLP_HTML_TAG_INDEX_OBJECT + 1)

#define HTMLP_HTML_TAG_INDEX_OPTGROUP (HTMLP_HTML_TAG_INDEX_OL + 1)

#define HTMLP_HTML_TAG_INDEX_OPTION (HTMLP_HTML_TAG_INDEX_OPTGROUP + 1)

#define HTMLP_HTML_TAG_INDEX_P (HTMLP_HTML_TAG_INDEX_OPTION + 1)

#define HTMLP_HTML_TAG_INDEX_PARAM (HTMLP_HTML_TAG_INDEX_P + 1)

#define HTMLP_HTML_TAG_INDEX_PLAINTEXT (HTMLP_HTML_TAG_INDEX_PARAM + 1)

#define HTMLP_HTML_TAG_INDEX_PRE (HTMLP_HTML_TAG_INDEX_PLAINTEXT + 1)

#define HTMLP_HTML_TAG_INDEX_Q (HTMLP_HTML_TAG_INDEX_PRE + 1)

#define HTMLP_HTML_TAG_INDEX_S (HTMLP_HTML_TAG_INDEX_Q + 1)

#define HTMLP_HTML_TAG_INDEX_SAMP (HTMLP_HTML_TAG_INDEX_S + 1)

#define HTMLP_HTML_TAG_INDEX_SCRIPT (HTMLP_HTML_TAG_INDEX_SAMP + 1)

#define HTMLP_HTML_TAG_INDEX_SELECT (HTMLP_HTML_TAG_INDEX_SCRIPT + 1)

#define HTMLP_HTML_TAG_INDEX_SMALL (HTMLP_HTML_TAG_INDEX_SELECT + 1)

#define HTMLP_HTML_TAG_INDEX_SPAN (HTMLP_HTML_TAG_INDEX_SMALL + 1)

#define HTMLP_HTML_TAG_INDEX_STRIKE (HTMLP_HTML_TAG_INDEX_SPAN + 1)

#define HTMLP_HTML_TAG_INDEX_STRONG (HTMLP_HTML_TAG_INDEX_STRIKE + 1)

#define HTMLP_HTML_TAG_INDEX_STYLE (HTMLP_HTML_TAG_INDEX_STRONG + 1)

#define HTMLP_HTML_TAG_INDEX_SUB (HTMLP_HTML_TAG_INDEX_STYLE +1)

#define HTMLP_HTML_TAG_INDEX_SUP (HTMLP_HTML_TAG_INDEX_SUB +1)

#define HTMLP_HTML_TAG_INDEX_TABLE (HTMLP_HTML_TAG_INDEX_SUP + 1)

#define HTMLP_HTML_TAG_INDEX_TD (HTMLP_HTML_TAG_INDEX_TABLE + 1)

#define HTMLP_HTML_TAG_INDEX_TEXTAREA (HTMLP_HTML_TAG_INDEX_TD + 1)

#define HTMLP_HTML_TAG_INDEX_TH (HTMLP_HTML_TAG_INDEX_TEXTAREA + 1)

#define HTMLP_HTML_TAG_INDEX_TITLE (HTMLP_HTML_TAG_INDEX_TH + 1)

#define HTMLP_HTML_TAG_INDEX_TR (HTMLP_HTML_TAG_INDEX_TITLE + 1)

#define HTMLP_HTML_TAG_INDEX_TT (HTMLP_HTML_TAG_INDEX_TR +1)

#define HTMLP_HTML_TAG_INDEX_U (HTMLP_HTML_TAG_INDEX_TT + 1)

#define HTMLP_HTML_TAG_INDEX_UL (HTMLP_HTML_TAG_INDEX_U + 1)

#define HTMLP_HTML_TAG_INDEX_VAR (HTMLP_HTML_TAG_INDEX_UL + 1)

#define HTMLP_HTML_TAG_INDEX_WMLcVALUEdOF (HTMLP_HTML_TAG_INDEX_VAR + 1)



#ifdef __cplusplus
} // extern "C" {
#endif /* __cplusplus */

/* NW_HTMLP_HTML_DICT_H */
#endif
